aboutsummaryrefslogtreecommitdiff
path: root/extra/libressl/files/update-certdata.sh
diff options
context:
space:
mode:
Diffstat (limited to 'extra/libressl/files/update-certdata.sh')
-rwxr-xr-xextra/libressl/files/update-certdata.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/extra/libressl/files/update-certdata.sh b/extra/libressl/files/update-certdata.sh
new file mode 100755
index 00000000..5283c329
--- /dev/null
+++ b/extra/libressl/files/update-certdata.sh
@@ -0,0 +1,14 @@
+#!/bin/sh -e
+#
+# update-certdata.sh
+
+[ -w "$KISS_ROOT/etc/ssl" ] || {
+ printf '%s\n' "${0##*/}: root required to update cert." >&2
+ exit 1
+}
+
+cd "$KISS_ROOT/etc/ssl" && {
+ wget https://curl.haxx.se/ca/cacert.pem
+ mv -f cacert.pem cert.pem
+ printf '%s\n' "${0##*/}: updated cert.pem"
+}